Skip to content
Navigation

Pages a portfolio's holdings.

GET
https://api.sherpo.io/merchant/v1/stores/{store}/products/{product}/portfolio/holdings

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

  • product
    string
    required

    An id, or slug:<slug>.

    minLength: 1

Query parameters

  • filter
    optional
    object

    filter[<field>]=<value> is an equality, filter[<field>][<op>]=<value> names the operator; in repeats the parameter.

  • sort
    optional
    symbol
  • direction
    optional
    asc
    or
    desc
  • limit
    optional
    integer
    maximum: 100 · minimum: 1
  • cursor
    optional
    string
    maxLength: 8192
  • count
    optional
    boolean
  • search
    optional
    string
    maxLength: 200 · minLength: 1

Returns

200

Pages a portfolio's holdings.

JSON
  • items
    array of
    object
    required
    • id
      string
      required
    • portfolio_id
      string
      required
    • symbol
      string
      required
    • shares
      number
      required
    • avg_cost
      required

      One of the following:

      • number
      • null
    • cost_currency
      string
      required
    • cost_exponent
      required

      One of the following:

      • number
      • null
    • price_currency
      string
      required
    • price_exponent
      required

      One of the following:

      • number
      • null
    • name
      string
      required
    • symbol_type
      required

      One of the following:

      • string
      • null
    • currency
      required

      One of the following:

      • string
      • null
    • note
      required

      One of the following:

      • string
      • null
    • removed_note
      required

      One of the following:

      • string
      • null
    • removed_at
      required

      One of the following:

      • string
      • null
    • updated_at
      required

      One of the following:

      • string
      • null
    • metadata
      map of
      any of
      required
  • cursor
    required

    One of the following:

    • string
    • null
  • total
    optional
    number
  • facets
    optional
    map of
    map<number>
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close